//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/datatypes/time/TimeIndeterminateValue.java $
/*----------------    FILE HEADER  ------------------------------------------

 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53115 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de

 
 ---------------------------------------------------------------------------*/
package org.deegree.datatypes.time;

import java.io.Serializable;

/**
 * 
 *
 * @version $Revision: 9337 $
 * @author <a href="mailto:poth@lat-lon.de">Andreas Poth</a>
 * @author last edited by: $Author: apoth $
 *
 * @version 1.0. $Revision: 9337 $, $Date: 2007-12-27 13:31:11 +0100 (Do, 27 Dez 2007) $
 *
 * @since 2.0
 */
public class TimeIndeterminateValue implements Serializable  {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    /**
     * Comment for <code>AFTER</code>
     */
    public static final String AFTER = "after";
    /**
     * Comment for <code>BEFORE</code>
     */
    public static final String BEFORE = "before";
    /**
     * Comment for <code>NOW</code>
     */
    public static final String NOW = "now";
    /**
     * Comment for <code>UNKNOWN</code>
     */
    public static final String UNKNOWN = "unknown";

    /**
     * Comment for <code>value</code>
     */
    public String value = NOW;

     
    /**
     * default = NOW
     */
    public TimeIndeterminateValue() {
    }

    /**
     * @param value
     */
    public TimeIndeterminateValue(String value) {
        this.value = value;
    }

    /**
     * Compares the specified object with
     * this enum for equality.
     */
    public boolean equals(Object object)
    {
        if (object!=null && getClass().equals(object.getClass()))
        {
            return ((TimeIndeterminateValue) object).value.equals( value );
        }
        return false;
    }

    /**
     * @see java.lang.Object#hashCode()
     */
    public int hashCode() {
        final long longCode=value.hashCode();
        return (((int)(longCode >>> 32)) ^ (int)longCode) + 37*super.hashCode();
    }
}

