//$HeadURL: https://sushibar/svn/deegree/base/trunk/resources/eclipse/svn_classfile_header_template.xml $
/*----------------    FILE HEADER  ------------------------------------------
 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 Lesser General Public License for more details.
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53177 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de
 ---------------------------------------------------------------------------*/

package org.deegree.graphics.sld;

/**
 * <code>InterpolationPoint</code> is used by Interpolate.
 * 
 * @author <a href="mailto:schmitz@lat-lon.de">Andreas Schmitz</a>
 * @author last edited by: $Author:$
 * 
 * @version $Revision:$, $Date:$
 */
public class InterpolationPoint {

    /**
     * The location of this interpolation point.
     */
    public double data;

    /**
     * The red value of this interpolation point.
     */
    public int redValue;

    /**
     * The green value of this interpolation point.
     */
    public int greenValue;

    /**
     * The blue value of this interpolation point.
     */
    public int blueValue;

    /**
     * The opacity value of this interpolation point.
     */
    public int opacity;

    /**
     * Whether opacity was explicitly set.
     */
    public boolean opacitySet;

    /**
     * @param data
     * @param str
     */
    public InterpolationPoint( double data, String str ) {
        opacitySet = str.length() > 6;

        long val = Long.parseLong( str, 16 );
        this.data = data;
        opacity = (int) ( ( 0xff000000 & val ) >> 24 );
        redValue = (int) ( ( 0x00ff0000 & val ) >> 16 );
        greenValue = (int) ( ( 0x0000ff00 & val ) >> 8 );
        blueValue = (int) ( 0x000000ff & val );
    }

}
