//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/model/crs/CRSTransformationException.java $
/*----------------    FILE HEADER  ------------------------------------------

 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53177 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de

 ---------------------------------------------------------------------------*/
package org.deegree.model.crs;

import org.deegree.crs.exceptions.TransformationException;

/**
 * 
 * The <code>CRSTransformationException</code> class is a wrapper for the
 * org.deegree.crs.exceptions.TransformationException, thus reducing the dependency to the org.deegree.crs package.
 * 
 * @author <a href="mailto:bezema@lat-lon.de">Rutger Bezema</a>
 * 
 * @author last edited by: $Author: rbezema $
 * 
 * @version $Revision: 9433 $, $Date: 2008-01-08 11:45:32 +0100 (Di, 08 Jan 2008) $
 * 
 */
public class CRSTransformationException extends Exception {

    /**
     * the number for serialization.
     */
    private static final long serialVersionUID = -942007335106873097L;
    
    /**
     * Creates an transformation exception with the given message.
     * @param message which describes the transformation exception.
     * @param cause the cause of this exception to be thrown
     * 
     */
    public CRSTransformationException( String message, Exception cause ) {
        super( message, cause );
    }

    /**
     * Creates an transformation exception with the given exception.
     * @param origException which describes the transformation exception.
     * 
     */
    public CRSTransformationException( TransformationException origException ) {
        super( origException );
    }
}
