//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/ogcwebservices/DefaultOGCWebServiceResponse.java $
/*----------------    FILE HEADER  ------------------------------------------
 
 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de
 
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.
 
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 Contact:
 
 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53115 Bonn
 Germany
 E-Mail: poth@lat-lon.de
 
 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de
 
 
 ---------------------------------------------------------------------------*/

package org.deegree.ogcwebservices;

/**
 * This is the base interface for all responses to OGC Web Services (OWS) requests. Each class that
 * capsulates a response within an OWS has to implement this interface.
 * 
 * @author <a href="mailto:k.lupp@web.de">Katharina Lupp</a>
 * @version 2002-03-01
 */
public class DefaultOGCWebServiceResponse implements OGCWebServiceResponse {

    protected OGCWebServiceRequest request = null;

    protected OGCWebServiceException exception = null;

    /**
     * constructor initializing the class with the <DefaultOGCWebServiceResponse>
     */
    public DefaultOGCWebServiceResponse( OGCWebServiceRequest request ) {
        this.request = request;
    }

    /**
     * constructor initializing the class with the <DefaultOGCWebServiceResponse>
     */
    public DefaultOGCWebServiceResponse( OGCWebServiceRequest request, OGCWebServiceException exception ) {
        this.request = request;
        this.exception = exception;
    }

    /**
     * returns the request that causes the response.
     */
    public OGCWebServiceRequest getRequest() {
        return request;
    }

    /**
     * returns an XML encoding of the exception that raised. If no exception raised <tt>null</tt>
     * will be returned.
     */
    public OGCWebServiceException getException() {
        return exception;
    }

    public String toString() {
        String ret = null;
        ret = getClass().getName() + ":\n";
        ret += "request = " + request + "\n";
        ret += "exception = " + exception + "\n";
        return ret;
    }

}