//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/ogcwebservices/csw/discovery/GetRecordByIdResultDocument.java $
/*----------------    FILE HEADER  ------------------------------------------

 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53115 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de

 
 ---------------------------------------------------------------------------*/
package org.deegree.ogcwebservices.csw.discovery;

import static org.deegree.ogcbase.CommonNamespaces.CSW202NS;
import static org.deegree.ogcbase.CommonNamespaces.CSWNS;

import org.deegree.framework.xml.NamespaceContext;
import org.deegree.framework.xml.XMLFragment;
import org.deegree.framework.xml.XMLParsingException;
import org.deegree.framework.xml.XMLTools;
import org.deegree.ogcbase.CommonNamespaces;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

/**
 * 
 * 
 * 
 * @version $Revision: 9499 $
 * @author <a href="mailto:poth@lat-lon.de">Andreas Poth</a>
 * @author last edited by: $Author: aschmitz $
 * 
 * @version 1.0. $Revision: 9499 $, $Date: 2008-01-09 16:47:04 +0100 (Mi, 09 Jan 2008) $
 * 
 * @since 2.0
 */
public class GetRecordByIdResultDocument extends XMLFragment {

    private static final long serialVersionUID = 2796229558893029054L;

    /**
     * parses a GetRecordById response XML document and maps it to its corresponding java/deegree
     * class
     * 
     * @param request
     * @return a new result object
     * @throws XMLParsingException
     */
    public GetRecordByIdResult parseGetRecordByIdResponse( GetRecordById request )
                            throws XMLParsingException {

        NamespaceContext nsc = CommonNamespaces.getNamespaceContext();
        Element root = getRootElement();
        Element record = (Element) XMLTools.getNode( root, "./child::*[1]", nsc );

        return new GetRecordByIdResult( request, record );
    }

    /**
     * creates an empty GetRecordByIdResponse document
     * @param version the desired version of the response document
     * 
     */
    public void createEmptyDocument( String version ) {
        Document doc = XMLTools.create();
        Element root = doc.createElementNS( version.equals( "2.0.2" ) ? CSW202NS.toASCIIString()
                                                                     : CSWNS.toASCIIString(),
                                            "csw:GetRecordByIdResponse" );
        setRootElement( root );
    }

}
