//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/ogcwebservices/sos/configuration/PlatformConfiguration.java $
/*----------------    FILE HEADER  ------------------------------------------

 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstraße 19  
 53177 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 lat/lon GmbH
 Aennchenstraße 19
 53177 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de

 ---------------------------------------------------------------------------*/
package org.deegree.ogcwebservices.sos.configuration;

/**
 * 
 * represents a platform configuration
 * 
 * @author <a href="mailto:mkulbe@lat-lon.de">Matthias Kulbe </a>
 */

public class PlatformConfiguration {

    private String id = null;

    private String idPropertyValue = null;

    private String sourceServerId = null;

    /**
     * constructor
     * 
     * @param id
     * @param idPropertyValue
     * @param sourceServerId
     */
    public PlatformConfiguration( String id, String idPropertyValue, String sourceServerId ) {
        this.id = id;
        this.idPropertyValue = idPropertyValue;
        this.sourceServerId = sourceServerId;

    }

    /**
     * 
     * @return id
     */
    public String getId() {
        return id;
    }

    /**
     * 
     * @return idPropertyValue
     */
    public String getIdPropertyValue() {
        return idPropertyValue;
    }

    /**
     * 
     * @return sourceServerId
     */
    public String getSourceServerId() {
        return sourceServerId;
    }

    /**
     * overwrites the equals function
     */
    public boolean equals( Object obj ) {
        if ( !( obj instanceof PlatformConfiguration ) ) {
            return false;
        }
        if ( this.getId().equals( ( (PlatformConfiguration) obj ).getId() ) ) {
            return true;
        }
        return false;
    }

}
