//$HeadURL: $
/*----------------    FILE HEADER  ------------------------------------------
 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.
 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 Lesser General Public License for more details.
 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53177 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de
 ---------------------------------------------------------------------------*/

package org.deegree.ogcwebservices.wcts.capabilities;

import java.util.List;

import org.deegree.framework.util.Pair;
import org.w3c.dom.Element;

/**
 * <code>CoverageAbilities</code> specify coverage transformation abilities of WCTS server, this class encapsulates
 * them.
 * 
 * @author <a href="mailto:bezema@lat-lon.de">Rutger Bezema</a>
 * 
 * @author last edited by: $Author:$
 * 
 * @version $Revision:$, $Date:$
 * 
 */
public class CoverageAbilities {

    private final List<Pair<String, String>> coverageTypes;
    private final List<InputOutputFormat> coverageFormats;
    private final List<Element> interPolationMethods;

    /**
     * @param coverageTypes
     * @param coverageFormats
     * @param interPolationMethods
     */
    public CoverageAbilities( List<Pair<String, String>> coverageTypes, List<InputOutputFormat> coverageFormats,
                              List<Element> interPolationMethods ) {
                                this.coverageTypes = coverageTypes;
                                this.coverageFormats = coverageFormats;
                                this.interPolationMethods = interPolationMethods;
    }

    /**
     * @return the coverageTypes.
     */
    public final List<Pair<String, String>> getCoverageTypes() {
        return coverageTypes;
    }

    /**
     * @return the coverageFormats.
     */
    public final List<InputOutputFormat> getCoverageFormats() {
        return coverageFormats;
    }

    /**
     * @return the interPolationMethods.
     */
    public final List<Element> getInterPolationMethods() {
        return interPolationMethods;
    }

}
