//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/portal/portlet/modules/actions/IGeoJetspeed16LogoutUser.java $

/*----------------    FILE HEADER  ------------------------------------------

 This file is part of deegree.
 Copyright (C) 2001-2008 by:
 EXSE, Department of Geography, University of Bonn
 http://www.giub.uni-bonn.de/deegree/
 lat/lon GmbH
 http://www.lat-lon.de

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 Contact:

 Andreas Poth
 lat/lon GmbH
 Aennchenstr. 19
 53177 Bonn
 Germany
 E-Mail: poth@lat-lon.de

 Prof. Dr. Klaus Greve
 Department of Geography
 University of Bonn
 Meckenheimer Allee 166
 53115 Bonn
 Germany
 E-Mail: greve@giub.uni-bonn.de

 ---------------------------------------------------------------------------*/
package org.deegree.portal.portlet.modules.actions;

import java.io.File;
import java.util.Enumeration;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpSession;

import org.apache.jetspeed.modules.actions.JLogoutUser;
import org.apache.turbine.util.RunData;

/**
 * 
 * 
 * 
 * @version $Revision: 9346 $
 * @author <a href="mailto:poth@lat-lon.de">Andreas Poth</a>
 * @author last edited by: $Author: apoth $
 * 
 * @version 1.0. $Revision: 9346 $, $Date: 2007-12-27 17:39:07 +0100 (Do, 27 Dez 2007) $
 * 
 * @since 2.0
 */
public class IGeoJetspeed16LogoutUser extends JLogoutUser {

    @Override
    public void doPerform( RunData data )
                            throws Exception {

        if ( data != null && data.getUserFromSession() != null ) {

            // just perform storing of last context if users session
            // is still alive
            String user = data.getUserFromSession().getUserName();
            File dir = new File( data.getServletContext().getRealPath( "WEB-INF/wmc/" + user ) );
            HttpSession ses = data.getRequest().getSession( false );
            if ( ses != null ) {                
                LogoutUser lou = new LogoutUser();
                lou.storeCurrentContexts( dir, ses );
                Enumeration enumeration = ses.getAttributeNames();
                while ( enumeration.hasMoreElements() ) {
                    ses.setAttribute( (String) enumeration.nextElement(), null );
                }
            }

            Cookie[] cookies = data.getRequest().getCookies();
            if ( cookies != null ) {
                for ( int i = 0; i < cookies.length; i++ ) {
                    cookies[i].setMaxAge( 0 );
                }
            }
        }

        super.doPerform( data );
    }

}