//$HeadURL: svn+ssh://rbezema@svn.wald.intevation.org/deegree/base/branches/2.2_testing/src/org/deegree/portal/standard/wms/control/MapRequestDispatcher.java $
/*----------------    FILE HEADER  ------------------------------------------

This file is part of deegree.
Copyright (C) 2001-2008 by:
EXSE, Department of Geography, University of Bonn
http://www.giub.uni-bonn.de/deegree/
lat/lon GmbH
http://www.lat-lon.de

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

Contact:

Andreas Poth
lat/lon GmbH
Aennchenstr. 19
53115 Bonn
Germany
E-Mail: poth@lat-lon.de

Prof. Dr. Klaus Greve
Department of Geography
University of Bonn
Meckenheimer Allee 166
53115 Bonn
Germany
E-Mail: greve@giub.uni-bonn.de

                 
 ---------------------------------------------------------------------------*/

package org.deegree.portal.standard.wms.control;

import java.io.File;
import java.io.IOException;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.deegree.portal.context.ViewContext;
import org.deegree.portal.context.WebMapContextFactory;
import org.deegree.portal.standard.wms.Constants;

/**
 * This is a <code>RequestDispatcher</code> which creates a event out of
 * a GET or POST requests.<P>
 *
 * Furthermore this class implements
 *
 * <HR>
 * <B>Design Patterns:</B>:<BR>
 *
 * The following Design Patterns are used:
 * <UL>
 * <LI> Proxy
 * </UL>
 *
 * @author  <a href="mailto:friebe@gmx.net">Torsten Friebe</a>
 *
 * @version $Revision: 9346 $ $Date: 2007-12-27 17:39:07 +0100 (Do, 27 Dez 2007) $
 *
 */
public class MapRequestDispatcher extends org.deegree.enterprise.control.RequestDispatcher {              
    
    private ViewContext vc = null;
        
    /**
     * This method initializes the servlet.
     *
     * @param   cfg  the servlet configuration
     *
     * @throws  ServletException  an exception
     */
    public void init( ServletConfig cfg ) throws ServletException {
        super.init( cfg );

        String controllerFile = getInitParameter( "Handler.configFile" );
        if ( ! ( new File( controllerFile ).exists() ) ) {
            controllerFile = getServletContext().getRealPath( controllerFile );
        }
        String clientContext = this.getInitParameter( "MapContext.configFile" );
        if ( ! ( new File( clientContext ).exists() ) ) {
            clientContext = getServletContext().getRealPath( clientContext );
            try {
                File file = new File( clientContext );
                vc = WebMapContextFactory.createViewContext( file.toURL(), null, null );
                appHandler = new MapApplicationHandler( controllerFile, vc );
            } catch(Exception e) {
                e.printStackTrace();
            }
        }        
    }       

    /**
     *
     *
     * @param request 
     * @param response 
     *
     * @throws ServletException 
     * @throws IOException 
     */
    protected void service( HttpServletRequest request, HttpServletResponse response )
                    throws ServletException, IOException {      

        HttpSession session = request.getSession( true );
        session.setAttribute( Constants.DEFAULTMAPCONTEXT , vc );
        super.service( request, response );
    }
    

}
